summaryrefslogtreecommitdiffstats
path: root/source/tcl
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/tcl
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/tcl')
-rw-r--r--source/tcl/FTBFSlog3
-rwxr-xr-xsource/tcl/expect/expect.SlackBuild36
-rw-r--r--source/tcl/expect/slack-desc12
-rwxr-xr-xsource/tcl/hfsutils/hfsutils.SlackBuild26
-rw-r--r--source/tcl/hfsutils/slack-desc10
-rw-r--r--source/tcl/tcl/slack-desc6
-rwxr-xr-xsource/tcl/tcl/tcl.SlackBuild28
-rw-r--r--source/tcl/tclx/slack-desc6
-rwxr-xr-xsource/tcl/tclx/tclx.SlackBuild22
-rw-r--r--source/tcl/tix/configure.private.diff38
-rw-r--r--source/tcl/tix/slack-desc6
-rwxr-xr-xsource/tcl/tix/tix.SlackBuild26
-rw-r--r--source/tcl/tk/slack-desc6
-rwxr-xr-xsource/tcl/tk/tk.SlackBuild21
14 files changed, 169 insertions, 77 deletions
diff --git a/source/tcl/FTBFSlog b/source/tcl/FTBFSlog
new file mode 100644
index 000000000..a47db873b
--- /dev/null
+++ b/source/tcl/FTBFSlog
@@ -0,0 +1,3 @@
+Thu Feb 1 00:46:34 UTC 2018
+ Fix all packages that fail to build from source:
+ tix: Patched ./configure to find Tcl/Tk headers
diff --git a/source/tcl/expect/expect.SlackBuild b/source/tcl/expect/expect.SlackBuild
index ca3ecbd2b..f191dc2f4 100755
--- a/source/tcl/expect/expect.SlackBuild
+++ b/source/tcl/expect/expect.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2013, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=expect
-VERSION=5.45
-BUILD=${BUILD:-1}
+VERSION=5.45.4
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
@@ -59,7 +67,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}${VERSION}
-tar xvf $CWD/${PKGNAM}$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}$VERSION.tar.?z || exit 1
cd ${PKGNAM}$VERSION || exit 1
# Make sure ownerships and permissions are sane:
@@ -76,16 +84,20 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --infodir=/usr/info \
--disable-static \
--with-tclconfig=/usr/lib${LIBDIRSUFFIX} \
--with-tclinclude=/usr/include \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Rename this version of mkpasswd, since it supports fewer ciphers than the
+# version that comes with whois. Still, some people might want to use it.
+mv $PKG/usr/bin/mkpasswd $PKG/usr/bin/mkpasswd.expect
+mv $PKG/usr/man/man1/mkpasswd.1 $PKG/usr/man/man1/mkpasswd.expect.1
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -105,14 +117,6 @@ if [ -d $PKG/usr/man ]; then
)
fi
-# Compress info files, if any:
-if [ -d $PKG/usr/info ]; then
- ( cd $PKG/usr/info
- rm -f dir
- gzip -9 *
- )
-fi
-
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
diff --git a/source/tcl/expect/slack-desc b/source/tcl/expect/slack-desc
index 585bcd571..52f4aa327 100644
--- a/source/tcl/expect/slack-desc
+++ b/source/tcl/expect/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
expect: expect (program that talks to other interactive programs)
expect:
expect: Expect is a program that talks to other interactive programs according
-expect: to a script. Following the script, Expect knows what can be expected
-expect: from a program and what the correct response should be. An
+expect: to a script. Following the script, Expect knows what can be expected
+expect: from a program and what the correct response should be. An
expect: interpreted language provides branching and high-level control
expect: structures to direct the dialogue.
expect:
expect: Expect was written by Don Libes of the National Institute of Standards
-expect: and Technology.
+expect: and Technology. Homepage: http://core.tcl.tk/expect
expect:
diff --git a/source/tcl/hfsutils/hfsutils.SlackBuild b/source/tcl/hfsutils/hfsutils.SlackBuild
index fb70461d5..6fbea43bc 100755
--- a/source/tcl/hfsutils/hfsutils.SlackBuild
+++ b/source/tcl/hfsutils/hfsutils.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,31 +20,39 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=hfsutils
VERSION=${VERSION:-3.2.6}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -91,8 +99,8 @@ make BINDEST=$PKG/usr/bin \
LIBDEST=$PKG/usr/lib${LIBDIRSUFFIX} \
INCDEST=$PKG/usr/include \
MANDEST=$PKG/usr/man \
- install install_lib
-install -m0755 hfsck/hfsck $PKG/usr/bin
+ install install_lib || exit 1
+install -m0755 hfsck/hfsck $PKG/usr/bin || exit 1
ln -sf hfsck $PKG/usr/bin/fsck.hfs
# Get rid of all the hard links:
diff --git a/source/tcl/hfsutils/slack-desc b/source/tcl/hfsutils/slack-desc
index 1b53276b8..370fa2b94 100644
--- a/source/tcl/hfsutils/slack-desc
+++ b/source/tcl/hfsutils/slack-desc
@@ -1,16 +1,16 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
hfsutils: hfsutils (HFS volume utilities)
hfsutils:
hfsutils: hfsutils is a collection of tools for reading and writing Macintosh
-hfsutils: HFS volumes. These utilities can manipulate HFS volumes on nearly any
-hfsutils: medium. Since hfs and xhfs are linked with Tcl/Tk shared libraries,
+hfsutils: HFS volumes. These utilities can manipulate HFS volumes on nearly any
+hfsutils: medium. Since hfs and xhfs are linked with Tcl/Tk shared libraries,
hfsutils: the hfsutils package is included here in the TCL software series.
hfsutils:
hfsutils: hfsutils was written by Robert Leslie <rob@mars.org>
diff --git a/source/tcl/tcl/slack-desc b/source/tcl/tcl/slack-desc
index 75c89979b..05c7b11df 100644
--- a/source/tcl/tcl/slack-desc
+++ b/source/tcl/tcl/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
diff --git a/source/tcl/tcl/tcl.SlackBuild b/source/tcl/tcl/tcl.SlackBuild
index b087ba72f..8a2413392 100755
--- a/source/tcl/tcl/tcl.SlackBuild
+++ b/source/tcl/tcl/tcl.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2012, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-8.6.5}
+PKGNAM=tcl
+VERSION=${VERSION:-8.6.8}
# See also version number 8.6 in the symlinks below...)
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,9 +37,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-tcl
@@ -68,7 +77,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf tcl$VERSION
-tar xvf $CWD/tcl$VERSION-src.tar.?z* || exit 1
+tar xvf $CWD/tcl$VERSION-src.tar.?z || exit 1
cd tcl$VERSION || exit 1
chown -R root:root .
find . \
@@ -78,7 +87,8 @@ find . \
-exec chmod 644 {} \;
mkdir -p $PKG/usr/doc/tcl$VERSION
-cp -a README license.terms $PKG/usr/doc/tcl$VERSION
+cp -a README* license.terms $PKG/usr/doc/tcl$VERSION
+
cd unix
# Fix 64bit path names:
sed -i -e "s#TCL_LIBRARY='\$(prefix)/lib/tcl\$(VERSION)'#TCL_LIBRARY='\$(prefix)/lib$LIBDIRSUFFIX/tcl\$(VERSION)'#" configure
@@ -91,9 +101,9 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-man-symlinks \
${CONFARGS} \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
-make $NUMJOBS || exit 1
+make $NUMJOBS || make || exit 1
# Fix paths in tclConfig.sh:
sed -e "s@^\(TCL_SRC_DIR='\).*@\1/usr/include'@" \
diff --git a/source/tcl/tclx/slack-desc b/source/tcl/tclx/slack-desc
index 8c10bab96..5141645aa 100644
--- a/source/tcl/tclx/slack-desc
+++ b/source/tcl/tclx/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
diff --git a/source/tcl/tclx/tclx.SlackBuild b/source/tcl/tclx/tclx.SlackBuild
index a562e180c..393e18f63 100755
--- a/source/tcl/tclx/tclx.SlackBuild
+++ b/source/tcl/tclx/tclx.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,30 +20,38 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tclx
VERSION=${VERSION:-8.4.1}
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686 -I/usr/include/tcl-private/generic -I/usr/include/tcl-private/unix"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686 -I/usr/include/tcl-private/generic -I/usr/include/tcl-private/unix"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2 -I/usr/include/tcl-private/generic -I/usr/include/tcl-private/unix"
diff --git a/source/tcl/tix/configure.private.diff b/source/tcl/tix/configure.private.diff
new file mode 100644
index 000000000..3eae5b613
--- /dev/null
+++ b/source/tcl/tix/configure.private.diff
@@ -0,0 +1,38 @@
+--- configure.orig 2008-02-27 22:35:01.000000000 -0600
++++ configure 2018-01-31 21:07:13.567970856 -0600
+@@ -6619,7 +6619,7 @@
+
+ TCL_SRC_DIR_NATIVE=`${CYGPATH} ${TCL_SRC_DIR}`
+ TCL_TOP_DIR_NATIVE=\"${TCL_SRC_DIR_NATIVE}\"
+- TCL_GENERIC_DIR_NATIVE=\"${TCL_SRC_DIR_NATIVE}/generic\"
++ TCL_GENERIC_DIR_NATIVE=\"${TCL_SRC_DIR_NATIVE}\"
+ TCL_UNIX_DIR_NATIVE=\"${TCL_SRC_DIR_NATIVE}/unix\"
+ TCL_WIN_DIR_NATIVE=\"${TCL_SRC_DIR_NATIVE}/win\"
+ TCL_BMAP_DIR_NATIVE=\"${TCL_SRC_DIR_NATIVE}/bitmaps\"
+@@ -6645,7 +6645,7 @@
+ ;;
+ esac
+ else
+- if test ! -f "${TCL_SRC_DIR}/generic/tclInt.h" ; then
++ if test ! -f "${TCL_SRC_DIR}/tclInt.h" ; then
+ { { echo "$as_me:$LINENO: error: Cannot find private header tclInt.h in ${TCL_SRC_DIR}" >&5
+ echo "$as_me: error: Cannot find private header tclInt.h in ${TCL_SRC_DIR}" >&2;}
+ { (exit 1); exit 1; }; }
+@@ -6673,7 +6673,7 @@
+ TK_TOP_DIR_NATIVE=\"${TK_SRC_DIR_NATIVE}\"
+ TK_UNIX_DIR_NATIVE=\"${TK_SRC_DIR_NATIVE}/unix\"
+ TK_WIN_DIR_NATIVE=\"${TK_SRC_DIR_NATIVE}/win\"
+- TK_GENERIC_DIR_NATIVE=\"${TK_SRC_DIR_NATIVE}/generic\"
++ TK_GENERIC_DIR_NATIVE=\"${TK_SRC_DIR_NATIVE}\"
+ TK_XLIB_DIR_NATIVE=\"${TK_SRC_DIR_NATIVE}/xlib\"
+ if test "${TEA_PLATFORM}" = "windows"; then
+ TK_PLATFORM_DIR_NATIVE=${TK_WIN_DIR_NATIVE}
+@@ -6700,7 +6700,7 @@
+ ;;
+ esac
+ else
+- if test ! -f "${TK_SRC_DIR}/generic/tkInt.h" ; then
++ if test ! -f "${TK_SRC_DIR}/tkInt.h" ; then
+ { { echo "$as_me:$LINENO: error: Cannot find private header tkInt.h in ${TK_SRC_DIR}" >&5
+ echo "$as_me: error: Cannot find private header tkInt.h in ${TK_SRC_DIR}" >&2;}
+ { (exit 1); exit 1; }; }
diff --git a/source/tcl/tix/slack-desc b/source/tcl/tix/slack-desc
index 9eb28dd6b..fb1b20e34 100644
--- a/source/tcl/tix/slack-desc
+++ b/source/tcl/tix/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
diff --git a/source/tcl/tix/tix.SlackBuild b/source/tcl/tix/tix.SlackBuild
index cd34a5fb4..4c2170ea7 100755
--- a/source/tcl/tix/tix.SlackBuild
+++ b/source/tcl/tix/tix.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,23 +22,33 @@
# Build/install Tix the way Slackware's binary package is made:
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=tix
VERSION=8.4.3
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -48,7 +58,6 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
@@ -68,6 +77,9 @@ find . \
zcat $CWD/tix.tcl8.5.patch.gz | patch -p1 --backup --suffix=.orig || exit 1
zcat $CWD/tix.soname.patch.gz | patch -p1 || exit 1
+# Harbl hack to fix finding Tcl/Tk headers in /usr/include instead of /usr/include/generic:
+zcat $CWD/configure.private.diff.gz | patch || exit 1
+
CFLAGS="$SLKCFLAGS" \
CPPFLAGS="-DUSE_INTERP_RESULT" \
./configure \
diff --git a/source/tcl/tk/slack-desc b/source/tcl/tk/slack-desc
index 021e2fb82..1a600e213 100644
--- a/source/tcl/tk/slack-desc
+++ b/source/tcl/tk/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
diff --git a/source/tcl/tk/tk.SlackBuild b/source/tcl/tk/tk.SlackBuild
index 9e7da916d..eb14a087b 100755
--- a/source/tcl/tk/tk.SlackBuild
+++ b/source/tcl/tk/tk.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2012, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-8.6.5}
+PKGNAM=tk
+VERSION=${VERSION:-8.6.8}
# See also version number 8.6 in the symlinks below...)
BUILD=${BUILD:-2}
@@ -35,6 +37,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -54,7 +64,6 @@ elif [ "$ARCH" = "armel" ]; then
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-tk
@@ -62,7 +71,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf tk$VERSION
-tar xvf $CWD/tk$VERSION-src.tar.?z* || exit 1
+tar xvf $CWD/tk$VERSION-src.tar.?z || exit 1
cd tk$VERSION || exit 1
sed -i -e "s#^TK_LIBRARY='\$(prefix)/lib/#TK_LIBRARY='\$(libdir)/#" \
unix/configure
@@ -87,7 +96,7 @@ CFLAGS="$SLKCFLAGS" \
--enable-64bit \
--mandir=/usr/man \
--enable-man-symlinks \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1